question-mark
Stuck on an issue?

Lightrun Answers was designed to reduce the constant googling that comes with debugging 3rd party libraries. It collects links to all the places you might be looking at while hunting down a tough bug.

And, if you’re still stuck at the end, we’re happy to hop on a call to see how we can help out.

Wireframe instead of solid object

See original GitHub issue
import cadquery as cq

sPnts = [
    (10, 15),
    (30, 40),
    (70, 30)
]
path = cq.Workplane("XY").polyline(sPnts,includeCurrent=False).close()
result = cq.Workplane("YZ").circle(10).sweep(path)
show_object(result)

Can anyone tell me why this code shows a wireframe instead of solid object? Is it a bug or am I doing something wrong?

Issue Analytics

  • State:closed
  • Created 3 years ago
  • Comments:6 (2 by maintainers)

github_iconTop GitHub Comments

1reaction
adam-urbanczykcommented, Oct 11, 2020

Your code does not work for me and I think these are the reasons:

  1. The normal of the extruded faces needs to be aligned with the initial sweep direction.
  2. The extruded shape cannot be too big with respect to the sweep path (so that no self-intersections are created).
  3. For a closed C1 discontinuous path it is better to sue transition='right' or transition='round'.

Here is a working example, you’ll need to play wit the dimensions

import cadquery as cq

sPnts = [
    (0,0),
    (40,0),
    (20,20)
]
path = cq.Workplane("XY").polyline(sPnts).close()
result = cq.Workplane("YZ").circle(4).circle(5)
result2 = result.sweep(path,transition='right')

obraz

0reactions
skangacommented, Oct 15, 2020

Fabulous - Thanks @adam-urbanczyk

Read more comments on GitHub >

github_iconTop Results From Across the Web

Solid shows only as wire frame - Vectorworks Forum
When i go to an iso view the objects appear only as wireframe and not as a sloid. what is up?
Read more >
My object displays wireframe in 3d view. How to make it solid?
There are two ways to solve it I guess: You're in the Wireframe display mode and need to cange it to Solid. enter...
Read more >
Make Solid and Wireframe Objects In Blender - YouTube
Make Solid and Wireframe Objects In Blender | Enable Solid And Wireframe Display Together.
Read more >
Solved: Bodies show as wireframe rather than solid - Fusion 360
Bodies show as wireframe rather than solid. After extruding from an inserted svg, the resulting body shows as a wireframe without any faces....
Read more >
SOLVED: Solid object from wire frame - FreeCAD Forum
I'm new to CAD and FreeCAD, trying to model some installation. A problem that I run into is to create a solid part...
Read more >

github_iconTop Related Medium Post

No results found

github_iconTop Related StackOverflow Question

No results found

github_iconTroubleshoot Live Code

Lightrun enables developers to add logs, metrics and snapshots to live code - no restarts or redeploys required.
Start Free

github_iconTop Related Reddit Thread

No results found

github_iconTop Related Hackernoon Post

No results found

github_iconTop Related Tweet

No results found

github_iconTop Related Dev.to Post

No results found

github_iconTop Related Hashnode Post

No results found